DEBBUGS-DBHASH(8)

NAME
debbugs-dbhash - migrate a debbugs database to hashed format

SYNOPSIS
debbugs-dbhash old-db-directory new-db-directory

DESCRIPTION
debbugs-dbhash converts an old-style flat debbugs database into a new-style hashed-directory debbugs database, for use with debbugs 2.4 and above.

The old database is simply copied, and otherwise left untouched. The directory given for the new database must not already exist.

In the hashed format, files with names of the form 1023.log are now stored as 23/1023.log instead. This improves performance on many filesystems for debbugs installations with large numbers of bug reports.

WARNINGS
debbugs-dbhash will print a warning message for each file whose name is of a form that cannot be hashed as above. Typical debbugs installations will have a few of these, usually index files and the like.

AUTHORS
Adam Heath is primarily responsible for the hashed directory support in debbugs. Colin Watson wrote debbugs-dbhash and this man page.